org.apache.nutch.webui

## Class NutchUiApplication

- java.lang.Object
- - org.apache.wicket.Application
  - - org.apache.wicket.protocol.http.WebApplication
    - - org.apache.nutch.webui.NutchUiApplication

- All Implemented Interfaces:
    org.apache.wicket.event.IEventSink, org.apache.wicket.session.ISessionStore.UnboundListener, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

      @Component
      public class NutchUiApplication
      extends org.apache.wicket.protocol.http.WebApplication
      implements org.springframework.context.ApplicationContextAware

- - ### Field Summary

    - ### Fields inherited from class org.apache.wicket.protocol.http.WebApplication

      `META_INF_RESOURCES`

    - ### Fields inherited from class org.apache.wicket.Application

      `CONFIGURATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NutchUiApplication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends org.apache.wicket.markup.html.WebPage>` | `getHomePage()`
    `User` | `getUser(java.lang.String username, java.lang.String password)`
    `void` | `init()`
    `org.apache.wicket.Session` | `newSession(org.apache.wicket.request.Request request, org.apache.wicket.request.Response response)`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

    - ### Methods inherited from class org.apache.wicket.protocol.http.WebApplication

      `addResourceReplacement, addResourceReplacement, get, getAjaxRequestTargetListeners, getAjaxRequestTargetProvider, getAndRemoveBufferedResponse, getApplicationKey, getConfigurationType, getFilterFactoryManager, getInitParameter, getMimeType, getServletContext, getSessionAttributePrefix, getUpdateAutoLabelsOnAjaxRequests, getWicketFilter, hasBufferedResponse, hasFilterFactoryManager, internalDestroy, internalInit, logEventTarget, logResponseTarget, mount, mountPackage, mountPage, mountResource, newAjaxRequestTarget, newWebRequest, newWebResponse, outputDevelopmentModeWarning, renderXmlDecl, sessionUnbound, setAjaxRequestTargetProvider, setConfigurationType, setServletContext, setWicketFilter, storeBufferedResponse, unmount`

    - ### Methods inherited from class org.apache.wicket.Application

      `configure, createRequestCycle, decorateHeaderResponse, exists, fetchCreateAndSetSession, get, getApplicationKeys, getApplicationListeners, getApplicationSettings, getBehaviorInstantiationListeners, getComponentInitializationListeners, getComponentInstantiationListeners, getComponentOnAfterRenderListeners, getComponentOnConfigureListeners, getComponentPostOnBeforeRenderListeners, getComponentPreOnBeforeRenderListeners, getConverterLocator, getDebugSettings, getExceptionMapperProvider, getExceptionSettings, getFrameworkSettings, getHeaderContributorListenerCollection, getInitializers, getJavaScriptLibrarySettings, getMapperContext, getMarkupIdGenerator, getMarkupSettings, getMetaData, getName, getPageFactory, getPageManagerContext, getPageManagerProvider, getPageRendererProvider, getPageSettings, getRequestCycleListeners, getRequestCycleProvider, getRequestCycleSettings, getRequestLogger, getRequestLoggerSettings, getResourceBundles, getResourceReferenceRegistry, getResourceSettings, getRootRequestMapper, getRootRequestMapperAsCompound, getSecuritySettings, getSessionListeners, getSessionStore, getSessionStoreProvider, getSharedResources, getStoreSettings, initApplication, initializeComponents, newConverterLocator, newMapperContext, newPageFactory, newRequestLogger, newResourceBundles, newResourceReferenceRegistry, newSharedResources, onDestroy, onEvent, setApplicationSettings, setDebugSettings, setExceptionSettings, setFrameworkSettings, setHeaderResponseDecorator, setJavaScriptLibrarySettings, setMarkupIdGenerator, setMarkupSettings, setMetaData, setName, setPageManagerProvider, setPageRendererProvider, setPageSettings, setRequestCycleProvider, setRequestCycleSettings, setRequestLoggerSettings, setResourceSettings, setRootRequestMapper, setSecuritySettings, setSessionStoreProvider, setStoreSettings, usesDeploymentConfig, usesDevelopmentConfig, validateInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchUiApplication

          public NutchUiApplication()

  - ### Method Detail

    - #### getHomePage

          public java.lang.Class<? extends org.apache.wicket.markup.html.WebPage> getHomePage()

      Specified by:
        `getHomePage` in class `org.apache.wicket.Application`
      See Also:
        `Application.getHomePage()`

    - #### init

          public void init()

      Overrides:
        `init` in class `org.apache.wicket.protocol.http.WebApplication`
      See Also:
        `Application.init()`

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                                     throws org.springframework.beans.BeansException

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### newSession

          public org.apache.wicket.Session newSession(org.apache.wicket.request.Request request,
                                                      org.apache.wicket.request.Response response)

      Overrides:
        `newSession` in class `org.apache.wicket.protocol.http.WebApplication`

    - #### getUser

          public User getUser(java.lang.String username,
                              java.lang.String password)

Copyright © 2019 The Apache Software Foundation